=== debian/control ===
Source: google-authenticator
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LENART Janos <ocsi@debian.org>
Build-Depends: debhelper (>= 7.0.5), libpam-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/google-authenticator/
Vcs-hg: https://google-authenticator.googlecode.com/hg/
Vcs-browser: http://code.google.com/p/google-authenticator/source/browse/

Package: libpam-google-authenticator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqrencode3
Description: Two-step verification
 The Google Authenticator project includes implementations of one-time
 passcode generators for several mobile platforms, as well as a
 pluggable authentication module (PAM). One-time passcodes are generated
 using open standards developed by the Initiative for Open
 Authentication (OATH) (which is unrelated to OAuth).
 .
 These implementations support the HMAC-Based One-time Password (HOTP)
 algorithm specified in RFC 4226 and the Time-based One-time Password
 (TOTP) algorithm currently in draft.
