## google-authenticator 20130529

=== libpam/Makefile ===
--- 
+++ 
@@ -14,7 +14,20 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+VERSION := 1.0
+
 .SUFFIXES: .so
+
+ifeq ($(origin CC), default)
+  CC := gcc
+endif
+
+DEF_CFLAGS := $(shell [ `uname` = SunOS ] &&                                  \
+                echo ' -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT')              \
+              -fvisibility=hidden $(CFLAGS)
+DEF_LDFLAGS := $(shell [ `uname` = SunOS ] && echo ' -mimpure-text') $(LDFLAGS)
+LDL_LDFLAGS := $(shell $(CC) -shared -ldl -xc -o /dev/null /dev/null          \
+                       >/dev/null 2>&1 && echo ' -ldl')
 
 all: google-authenticator pam_google_authenticator.so demo                    \
      pam_google_authenticator_unittest
@@ -22,8 +35,17 @@
 test: pam_google_authenticator_unittest
 	./pam_google_authenticator_unittest
 
+dist: clean all test
+	$(RM) libpam-google-authenticator-$(VERSION)-source.tar.bz2
+	tar jfc libpam-google-authenticator-$(VERSION)-source.tar.bz2         \
+	    --xform="s,^,libpam-google-authenticator-$(VERSION)/,"            \
+	    --owner=root --group=root                                         \
+	    *.c *.h *.html Makefile FILEFORMAT README utc-time
+
 install: all
-	@dst=/lib$$([ -d /lib64/security ] && echo 64)/security;              \
+	@dst="`find /lib*/security /lib*/*/security -maxdepth 1               \
+	            -name pam_unix.so -printf '%H' -quit 2>/dev/null`";       \
+	[ -d "$${dst}" ] || dst=/lib/security;                                \
 	[ -d "$${dst}" ] || dst=/usr/lib;                                     \
 	sudo=; if [ $$(id -u) -ne 0 ]; then                                   \
 	  echo "You need to be root to install this module.";                 \
@@ -44,21 +66,18 @@
 
 clean:
 	$(RM) *.o *.so core google-authenticator demo                         \
-	               pam_google_authenticator_unittest
+	               pam_google_authenticator_unittest                      \
+	               libpam-google-authenticator-*-source.tar.bz2
 
 google-authenticator: google-authenticator.o base32.o hmac.o sha1.o
-	$(CC) -g $(LDFLAGS) $(shell [ -f /usr/lib/libdl.so ] && echo " -ldl") \
-	      -o $@ $+
+	$(CC) -g $(DEF_LDFLAGS) -o $@ $+ $(LDL_LDFLAGS)
 
 demo: demo.o pam_google_authenticator_demo.o base32.o hmac.o sha1.o
-	$(CC) -g $(LDFLAGS) -rdynamic                                         \
-	      $(shell [ -f /usr/lib/libdl.so ] && echo " -ldl") -o $@ $+
+	$(CC) -g $(DEF_LDFLAGS) -rdynamic -o $@ $+ $(LDL_LDFLAGS)
 
 pam_google_authenticator_unittest: pam_google_authenticator_unittest.o        \
                                    base32.o hmac.o sha1.o
-	$(CC) -g $(LDFLAGS) -rdynamic -lc                                     \
-              $(shell [ -f /usr/lib/libdl.so ] && echo " -ldl")               \
-              -o $@ $+
+	$(CC) -g $(DEF_LDFLAGS) -rdynamic -o $@ $+ -lc $(LDL_LDFLAGS)
 
 pam_google_authenticator.so: base32.o hmac.o sha1.o
 pam_google_authenticator_testing.so: base32.o hmac.o sha1.o
@@ -66,10 +85,11 @@
 pam_google_authenticator.o: pam_google_authenticator.c base32.h hmac.h sha1.h
 pam_google_authenticator_demo.o: pam_google_authenticator.c base32.h hmac.h   \
 	                         sha1.h
-	$(CC) -DDEMO --std=gnu99 -Wall -O2 -g -fPIC -c $(CFLAGS) -o $@ $<
+	$(CC) -DDEMO --std=gnu99 -Wall -O2 -g -fPIC -c $(DEF_CFLAGS) -o $@ $<
 pam_google_authenticator_testing.o: pam_google_authenticator.c base32.h       \
                                     hmac.h sha1.h
-	$(CC) -DTESTING --std=gnu99 -Wall -O2 -g -fPIC -c $(CFLAGS) -o $@ $<
+	$(CC) -DTESTING --std=gnu99 -Wall -O2 -g -fPIC -c $(DEF_CFLAGS)       \
+              -o $@ $<
 pam_google_authenticator_unittest.o: pam_google_authenticator_unittest.c      \
                                      pam_google_authenticator_testing.so      \
                                      base32.h hmac.h sha1.h
@@ -80,6 +100,6 @@
 sha1.o: sha1.c sha1.h
 
 .c.o:
-	$(CC) --std=gnu99 -Wall -O2 -g -fPIC -c $(CFLAGS) -o $@ $<
+	$(CC) --std=gnu99 -Wall -O2 -g -fPIC -c $(DEF_CFLAGS) -o $@ $<
 .o.so:
-	$(CC) -shared -g $(LDFLAGS) -o $@ $+
+	$(CC) -shared -g $(DEF_LDFLAGS) -o $@ $+ -lpam
