=== debian/changelog ===
google-authenticator (20130529-2) unstable; urgency=low

  * Included README

 -- LENART Janos <ocsi@debian.org>  Mon, 22 Jul 2013 09:58:36 +0100

google-authenticator (20130529-1) unstable; urgency=low

  * Upstream update. (Closes: #660188)

 -- LENART Janos <ocsi@debian.org>  Wed, 29 May 2013 21:34:23 +0100

google-authenticator (20110413.68230188bdc7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change build dependencies to list a concrete package (Closes: #638802).
  * Unconditionally link -ldl (since Debian always uses glibc), to fix a
    FTBFS caused by libdl.so moving to multiarch paths (Closes: #628729,
    #629666). Patch from Evan Broder <evan@ebroder.net>.

 -- Geoffrey Thomas <geofft@mit.edu>  Sun, 21 Aug 2011 21:45:15 -0400
