=== debian/control ===
--- 
+++ 
@@ -1,13 +1,10 @@
 Source: google-authenticator
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LENART Janos <ocsi@debian.org>
-Build-Depends: debhelper (>= 7.0.5), libpam-dev
-Standards-Version: 3.9.1
+Maintainer: LENART Janos <ocsi@debian.org>
+Build-Depends: debhelper (>= 7.0.5), libpam0g-dev
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/google-authenticator/
-Vcs-hg: https://google-authenticator.googlecode.com/hg/
-Vcs-browser: http://code.google.com/p/google-authenticator/source/browse/
 
 Package: libpam-google-authenticator
 Architecture: any
