## google-authenticator 20160607

=== debian/changelog ===
google-authenticator (20160607-1) unstable; urgency=low

  * Upstream update (6d45740)

 -- Janos Lenart <ocsi@debian.org>  Tue, 07 Jun 2016 16:59:57 +0100
