=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --sourcedirectory=libpam --with=autoreconf
 
-#get-orig-source:
+override_dh_install: build
+	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
+	dh_install
