## google-authenticator 20170702

=== debian/changelog ===
google-authenticator (20170702-1) unstable; urgency=medium

  * Upstream update (00065df) (Closes: #864187).

 -- Janos Lenart <ocsi@debian.org>  Sun, 02 Jul 2017 11:02:29 +0100

google-authenticator (20160607-2) unstable; urgency=high

  * Moved lib to /lib/x86_64-linux-gnu/security/ (Closes: #827670).
  * Fixed typo in manpage (Closes: #826683).

 -- Janos Lenart <ocsi@debian.org>  Sun, 19 Jun 2016 18:49:09 +0100
