=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: google-authenticator
 Section: admin
 Priority: optional
-Maintainer: LENART Janos <ocsi@debian.org>
-Build-Depends: debhelper (>= 7.0.5), libpam0g-dev
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/google-authenticator/
+Maintainer: Janos Lenart <ocsi@debian.org>
+Build-Depends: debhelper (>= 9.20160403), dh-autoreconf, libpam0g-dev
+Standards-Version: 3.9.8
+Homepage: https://github.com/google/google-authenticator/
 
 Package: libpam-google-authenticator
 Architecture: any
