=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 %:
 	dh $@ --sourcedirectory=libpam --with=autoreconf
 
+override_dh_auto_configure:
+	dh_auto_configure -- --libdir=/lib/$(DEB_HOST_MULTIARCH)
+
 override_dh_install: build
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
 	dh_install
