## google-authenticator 20191231

=== debian/changelog ===
google-authenticator (20191231-2) unstable; urgency=medium

  * Source only upload.

 -- Janos Lenart <ocsi@debian.org>  Tue, 07 Apr 2020 13:55:07 +0100

google-authenticator (20191231-1) unstable; urgency=medium

  * Upstream release (2c7415d, v1.08) (Closes: #919888).
  * Fixed FTBFS (Closes: #952222).
  * Removed the TOTP debugger (totp.html) due to privacy concerns
    (it loads external resources).

 -- Janos Lenart <ocsi@debian.org>  Sat, 07 Mar 2020 09:53:25 +0000 

google-authenticator (20170702-2) unstable; urgency=medium

  * Updated to use libqrencode4 (Closes: #908929).

 -- Janos Lenart <ocsi@debian.org>  Wed, 26 Sep 2018 16:45:00 +0100
