=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Janos Lenart <ocsi@debian.org>
-Build-Depends: debhelper (>= 9.20160403), dh-autoreconf, libpam0g-dev
+Build-Depends: debhelper (>= 9.20160403), libpam0g-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/google/google-authenticator/
 
 Package: libpam-google-authenticator
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqrencode3
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqrencode4
 Description: Two-step verification
  The Google Authenticator project includes implementations of one-time
  passcode generators for several mobile platforms, as well as a
