=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,13 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@ --sourcedirectory=libpam --with=autoreconf
+	dh $@ --with=autoreconf
+
+override_dh_auto_test:
+	env USER=`id -un` dh_auto_test
+
+override_dh_clean:
+	dh_clean build/*
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=/lib/$(DEB_HOST_MULTIARCH)
