## google-authenticator 20250213-1.11

=== debian/changelog ===
google-authenticator (20250213-1.11-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ SZ Lin (林上智) ]
  * Import new upstream release (Closes: #1074769)
  * Update VCS and Homepage link
  * Update B-D
  * Move libqrencode4 to "Recommends" instead of "Depends" column
    (Closes: #753774)
  * Add upstream metadata
  * Update copyright format and content
  * Drop unneeded lintian-overrides
  * Set Rules-Requires-Root: no
  * Add an example file
  * Update d/rules
  * Remove unneeded files
  * Remove links which have potential privacy breach

  [ Andreas Tille ]
  * Fix watch file
  * Bump Standards-Version to 4.7.2
  * Separate installation for dh_install and dh_installdocs
  * Do not install to /lib
  * d/rules: providing get-orig-source target prefixing release date in front
    of tag version to avoid using epoch due to lower version number

 -- Andreas Tille <tille@debian.org>  Thu, 14 Aug 2025 14:33:34 +0200

google-authenticator (20191231-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Homepage field. (Closes: #995245)

  [ Michael Biebl ]
  * Install PAM modules into /usr. (Closes: #1061356)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 21:51:09 +0200
