=== debian/control ===
--- 
+++ 
@@ -2,13 +2,18 @@
 Section: admin
 Priority: optional
 Maintainer: Janos Lenart <ocsi@debian.org>
-Build-Depends: debhelper (>= 9.20160403), libpam0g-dev
-Standards-Version: 3.9.8
-Homepage: https://github.com/google/google-authenticator/
+Build-Depends: debhelper-compat (= 13),
+               libpam0g-dev
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
+Homepage: https://github.com/google/google-authenticator-libpam
+Vcs-Git: https://salsa.debian.org/debian/google-authenticator-libpam.git
+Vcs-Browser: https://salsa.debian.org/debian/google-authenticator-libpam
 
 Package: libpam-google-authenticator
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqrencode4
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libqrencode4
 Description: Two-step verification
  The Google Authenticator project includes implementations of one-time
  passcode generators for several mobile platforms, as well as a
