=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto" \
   https://github.com/google/google-authenticator-libpam.git refs/tags/v?@ANY_VERSION@
